### Method

# RB RhythmDBQueryModel reapply_query

#### Declaration [src]

    void
    rhythmdb_query_model_reapply_query (
      RhythmDBQueryModel* model,
      gboolean filter
    )

#### Description [src]

Reapplies the existing query to the entries in the model. This is mostly useful when the query contains relative time criteria (such as ‘not played in the last hour’). This will only remove entries that are already in the model, it will not find entries that previously did not match the query.

The ‘filter’ parameter should be set to TRUE when the query is being used as a filter, rather than to define a base set of entries.

#### Parameters

`filter`

  Type: `gboolean`

  If `FALSE`, emit entry-removed signals.